<?php

/**
 * @file
 * Theme callbacks for Avatar approval.
 */


/**
 * Theme an avatar image in the queue
 *
 * @return
 * 		A themed image of the avatar
 */
function theme_avatarapproval_image($variables) {
  $image = $variables['image'];
  $approval = $variables['approval'];
  return theme('image', array('path' => $image, 'width' => "avatar", 'height' => "avatar", 'alt' => array('class' => 'avatar_approval'), 'title' => FALSE));
}

/**
 * Theme an avatar image in the user profile
 *
 * @return
 * 		A themed image of the avatar
 */
function theme_avatarapproval_profile($variables) {
  $avatars = $variables['avatars'];
  if ($avatars[AVATAR_DISAPPROVED]) {
    $avatars[AVATAR_DISAPPROVED]['title'] = 'Not approved';
  }
  if ($avatars[AVATAR_NOT_YET_MODERATED]) {
    $avatars[AVATAR_NOT_YET_MODERATED]['title'] = 'Pending approval';
  }
  return $avatars;
}

/**
 * Theme an user name in the queue
 *
 * @return
 * 		A themed user name
 */
function theme_avatarapproval_get_name($variables) {
  $users = $variables['user'];
  $output = '';
  if ($users) {
    foreach ($users as $uid => $name) {
      $output .= l($name, 'user/' . $uid) . '<br />';
    }
  }
  else {
    $output = t('None');
  }

  return $output;
}